From 87366817c0c125b448b4b654a073808a9c1a0bab Mon Sep 17 00:00:00 2001
From: Juan RP <xtraeme@gmail.com>
Date: Fri, 21 Jun 2019 14:23:04 +0200
Subject: [PATCH 1/2] travis/build.sh: only run bootstrap-update once.

---
 common/travis/build.sh | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/common/travis/build.sh b/common/travis/build.sh
index 9bbc048ab15..fcf3854fc69 100755
--- a/common/travis/build.sh
+++ b/common/travis/build.sh
@@ -23,8 +23,7 @@ XBPS_SRCPKGDIR=/hostrepo/srcpkgs XBPS_MASTERDIR=/ chroot_prepare $1 || {
 	exit 1
 }
 
-# Two times due to updating xbps itself
-/hostrepo/xbps-src -H "$HOME"/hostdir bootstrap-update
+# update xbps just in case
 /hostrepo/xbps-src -H "$HOME"/hostdir bootstrap-update
 
 PKGS=$(/hostrepo/xbps-src sort-dependencies $(cat /tmp/templates))

From d3a316644cbd9daf00055b60d71a19a0e7097d0b Mon Sep 17 00:00:00 2001
From: Juan RP <xtraeme@gmail.com>
Date: Fri, 21 Jun 2019 14:24:25 +0200
Subject: [PATCH 2/2] units: update to 2.19.

---
 srcpkgs/units/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/units/template b/srcpkgs/units/template
index 5f2960d22d5..643092c4615 100644
--- a/srcpkgs/units/template
+++ b/srcpkgs/units/template
@@ -1,7 +1,7 @@
 # Template file for 'units'
 pkgname=units
-version=2.18
-revision=2
+version=2.19
+revision=1
 build_style=gnu-configure
 hostmakedepends="python"
 makedepends="readline-devel"
@@ -11,7 +11,7 @@ maintainer="Juan RP <xtraeme@voidlinux.org>"
 license="GPL-3.0-or-later"
 homepage="https://www.gnu.org/software/units/units.html"
 distfiles="${GNU_SITE}/${pkgname}/${pkgname}-${version}.tar.gz"
-checksum=64959c231c280ceb4f3e6ae6a19b918247b6174833f7f1894704c444869c4678
+checksum=4262136bdfc152b63ff5a9b93a7d80ce18b5e8bebdcffddc932dda769e306556
 
 post_install() {
 	# Tries to install to /usr/com/currency.units
